function SavePointModels(pts,Cwd,Data,Dirpointmodels,GFtboxProjectname,latest_outputs_from_model)
    filename=[GFtboxProjectname,latest_outputs_from_model(8:end),Data.stage_suffix,'_pm.mat'];
    fullfilename=fullfile(Cwd,Dirpointmodels,filename);
    save(fullfilename,'pts');
    disp(sprintf('Saved pts in ...'));
    disp(sprintf('   %s...',pwd));
    disp(sprintf('   %s...',Dirpointmodels));
    disp(sprintf('   %s\n',filename));
end